# 🚧 work in progress
# @k33G_org
FROM gitpod/workspace-full

ENV USER_HOME="/home/gitpod"
ENV GOLANG_VERSION="1.17.7"
ENV GOLANG_TARGET="linux-amd64"
ENV TINYGO_VERSION="0.22.0"
ENV TINYGO_TARGET="amd64"

USER gitpod

RUN sudo apt install libncurses5 -y

# ------------------------------------
# Install Go
# ------------------------------------
RUN curl -sL https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer| bash

RUN ["/bin/bash", "-c", ". ${USER_HOME}/.gvm/scripts/gvm && gvm install go${GOLANG_VERSION} -B"]
RUN ["/bin/bash", "-c", ". ${USER_HOME}/.gvm/scripts/gvm && gvm use go${GOLANG_VERSION}"]

# ------------------------------------
# Install the TinyGo
# ------------------------------------
RUN wget https://github.com/tinygo-org/tinygo/releases/download/v${TINYGO_VERSION}/tinygo_${TINYGO_VERSION}_${TINYGO_TARGET}.deb && \
    sudo dpkg -i tinygo_${TINYGO_VERSION}_${TINYGO_TARGET}.deb && \
    rm tinygo_${TINYGO_VERSION}_${TINYGO_TARGET}.deb

# ------------------------------------
# Install Rust stuff 🚧 WIP
# ------------------------------------
RUN curl https://rustwasm.github.io/wasm-pack/installer/init.sh -sSf | sh 

# ------------------------------------
# Install tools
# ------------------------------------
RUN brew install httpie && \
    brew install hey && \
    brew install bat && \
    brew install exa

# ------------------------------------
# Install the Suborbital CLI
# ------------------------------------
#RUN   brew tap suborbital/subo  && \
#      brew install subo

RUN wget https://github.com/suborbital/subo/releases/download/v0.4.0/subo-v0.4.0-linux-amd64.tar.gz && \
    mkdir subo && \
    tar -zxf subo-v0.4.0-linux-amd64.tar.gz -C subo && \
    sudo cp subo/subo /usr/local/bin/ && \
    rm subo-v0.4.0-linux-amd64.tar.gz && \
    rm -rf subo





